variables:
  PROJECT: 24809955
  CADENCE: 7
  POST_UPDATES: "False"
  CUSTOMER_NAME: "TAM Tracking"
  ISSUES_FILE: "issues.yml"
  IMAGE_NAME: "registry.gitlab.com/gitlab-com/cs-tools/gitlab-cs-tools/tam-issue-tracking"

stages:
  - report
  - deploy
  - push_issues

create_report:
  image: $IMAGE_NAME:latest
  stage: report
  script:
    - |
      python /report/tracking_helper.py $GIT_TOKEN $PROJECT $ISSUES_FILE $CADENCE
      if [ -f /report/$ISSUES_FILE ]; then
        cp /report/$ISSUES_FILE .
      fi
      python /report/issues-report.py $GIT_TOKEN $PROJECT $ISSUES_FILE $CADENCE --customer "${CUSTOMER_NAME}" --updatesNote $POST_UPDATES
      cp /report/$ISSUES_FILE /report/public
      cp -r /report/public .
  artifacts:
    paths:
      - public

pages:
  stage: deploy
  script:
    - ls -a public
  artifacts:
    paths:
      - public/*

push_results:
  image: $IMAGE_NAME:latest
  stage: push_issues
  script:
    - cp ./public/${ISSUES_FILE} /report/${ISSUES_FILE}
    - python /report/tracking_helper.py $GIT_TOKEN $PROJECT $ISSUES_FILE $CADENCE --push_only